{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.iron_chests.general": {
			"initial_state": "closed",
			"states": {
				"opening": {
					"animations": ["opening"],
					"blend_transition": 0.1,
					"transitions": [
						{"opened":"query.property('iron_chests:is_opened') && query.any_animation_finished"},
						{"closing":"!query.property('iron_chests:is_opened')"}
					]
				},
				"opened": {
					"animations": ["opened"],
					"transitions": [
						{"closing":"!query.property('iron_chests:is_opened')"}
					]
				},
				"closing": {
					"animations": ["closing"],
					"blend_transition": 0.1,
					"transitions": [
						{"closed":"!query.property('iron_chests:is_opened') && query.any_animation_finished"},
						{"opening":"query.property('iron_chests:is_opened')"}
					]
				},
				"closed": {
					"animations": ["closed"],
					"transitions": [
						{"opening":"query.property('iron_chests:is_opened')"}
					]
				}
			}
		}
	}
}